Bug 17121 - -c / -w don't always work
-c / -w don't always work
Status: CLOSED DUPLICATE of bug 10426
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-30 20:19 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-30 20:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-30 20:19:53 EDT
Trying to ping a site where an intervening router, not under my control,
blocks all ICMP traffic. Ping does not terminate, even when -c and -w are
both specified. Example (terminated by INTR):

$ ping -w 2 -c 3 router.netxpress.com.gt
PING router.netxpress.com.gt (216.72.30.4) from 192.168.159.109 : 56(84)
bytes of data.

--- router.netxpress.com.gt ping statistics ---
28 packets transmitted, 0 packets received, 100% packet loss
Comment 1 Pekka Savola 2000-08-31 16:47:29 EDT
I believe you're using Red Hat Linux 6.1, not 6.2  Its behaviour is 
flawed like you reported.  RH 6.2 seems to work just fine.



*** This bug has been marked as a duplicate of 10426 ***
Comment 2 Need Real Name 2000-08-31 17:27:44 EDT
I am running 6.2 but installed as an upgrade. It may be that ping did not
upgrade properly. I have now installed it --force from the CD and the problem is
solved. Thanks.

Note You need to log in before you can comment on or make changes to this bug.